Ubuntu'da Flash player nasıl kurulur?

123

Firefox'ta Linux için en yeni Adobe Flash player 11.2 olmasına rağmen - ref: Flash player güvenlik şüpheleri - belirli bir çevrimiçi flash oyun hala güncellemek istediğimi son flash player.

Bu çevrimiçi oyunu dizüstü bilgisayarımda denedim (Windows 8, Flash Player 11.8 ile) ve sorun yok.

Ubuntu'yu veya bu oyunu Flash Player 11.8'in "yüklü" olduğunu düşünmek için bir yolu var mı?

    
sordu user190160 04.09.2013 22:23

5 cevap

133

Not: Bu cevap son derece güncel değil . Bunun yerine, Canonical ve Adobe'nin Ubuntu'da Flash Player'ı nasıl yüklemeyi önerdiğini açıklayan karel’in yanıtı bölümüne bakın.

Linux için, zaten sahip olduğunuz Adobe Flash Player 'ın en son sürümü 11.2'dir. Üzgünüz, ancak 11.8 olarak güncellenemez. Adobe, Linux için Flash Player 11.2'ye güvenlik backport'ları sağlar.

Flash eklentisini Ubuntu 13.04 'e yüklemek için (Ringing Ringarma), lütfen bu işlemi takip edin:

  1. Burada gösterildiği gibi multiverse deposunu etkinleştirin: "Çoklu veri" havuzunu nasıl etkinleştiririm?

  2. Bir terminal penceresi açın ( Ctrl + Alt + T 'ye basın ve bu satırı kopyalayın / yapıştırın:

    sudo apt-get install flashplugin-installer 
    
  3. Flash Player yüklendiğinde, terminal penceresini kapatın ve tarayıcınızı yeniden başlatın.

verilen cevap Sweet72 04.09.2013 22:34
18

Flash Player'ın en son sürümünü yüklemek için (17'den önce Ubuntu sürümünde açılır) Dash veya Yazılım ve Yazılım için Show Applications panosunu (Ubuntu 17.10 veya daha sonraki sürümlerde) arayın. Güncelleme ve Yazılım & amp; Güncellemeler penceresi. Yazılım ve amp; içindeki Diğer Yazılımlar sekmesini tıklayın. Güncelleme penceresini tıklayın ve onay kutusunun solundaki onay kutusuna bir onay işareti koyun: Canonical Partners .

Yazılım ve amp; Ubuntu 17.10'daki güncellemeler

Yazılımı ve Kapat'ı kapatmak için Kapat düğmesini tıklayın. Güncellemeler penceresi.

Terminali açın ve şunu yazın:

sudo apt-get update   
sudo apt-get install adobe-flashplugin  
    
verilen cevap karel 30.12.2017 23:39
15

Adobe artık Linux için Flashback güncellemelerini artık güvenlik desteği dışında sunmuyor.
Abobe Flash Blog :

  

11.2'den sonra Flash Player sürümleri için, Linux için Flash Player tarayıcı eklentisi, Google Chrome tarayıcı dağıtımının bir parçası olarak yalnızca "Pepper" API'sı aracılığıyla kullanılabilir ve artık Adobe'dan doğrudan indirme olarak kullanılamaz. Adobe, piyasaya sürülmesinden beş yıl boyunca Linux'ta Flash Player 11.2'in Pepper olmayan dağıtımlarına güvenlik güncelleştirmeleri sunmaya devam edecektir.

En yeni flaşı Google Chrome 'da veya Chromium

  

Adobe Flash Player doğrudan Google Chrome ile entegre edilmiştir ve varsayılan olarak etkinleştirilmiştir. Adobe Flash Player için mevcut güncellemeler otomatik olarak Chrome sistem güncellemelerine dahil edilir.

Bunu, Chromium'da manuel olarak yüklemeniz gerekir, ancak buraya bakın

    
verilen cevap kiri 04.09.2013 22:43
11

Ne yazık ki, Adobe, Flash Player'ın GNU / Linux sürümü için destek sağlamıştır (güvenlik güncellemeleri hala sağlanmış olsa da). Bununla birlikte, daha yeni sürümler elde etmenin iki yolu vardır.

Birincisi, Windows yazılımının GNU / Linux ve diğer Unix- üzerinde çalışmasını sağlamak için tasarlanmış bir yazılım öykünme katmanı olan Şarap aracılığıyla Windows sürümünü çalıştırmaktır. sistemler gibi. Flash Player'ın Windows sürümü ile bir Windows web tarayıcısına ( Firefox Windows sürümü gibi) gereksinim duyarsınız. .

Ayrıca, Ubuntu'da bile her zaman yeni bir Flash sürümüne sahip olduğundan Google Chrome 'u yükleyebilirsiniz. Chrome'u seçerseniz, Şarapa ihtiyacınız olmaz. Bu artık bir seçenek olmayabilir. Güncelleme # 3'e bakın.

Güncelleme : Artık bunu yapmanın üçüncü bir yolunu biliyorum: Pipelight! Pipelight aslında Microsoft Silverlight'ı çalıştırmak için WINE çatalı kullanan bir tarayıcı eklentisiydi. Ancak, bir noktada geliştiriciler Flash için de destek eklemeye karar verdiler. Pipelight'ın nasıl yükleneceği ile ilgili talimatlar için Buradan bölümüne bakın ve etkinleştirin Flash Player.

Ancak, bu yöntem mükemmel değildir; Tarayıcınızın farenize yanıt vermediğini tespit ederseniz, çalışma alanlarını değiştirebilir (masaüstünüzün klavye kısayollarını kullanarak) veya pencereleri değiştirebilirsiniz (tekrar klavye kısayolları). Her iki durumda da, geri geçiş yaptığınızda tekrar tıklayabilmeniz gerekir. Unutmayın, bunu sadece Linux Mint'in Tarçın masaüstüyle (Gnome'dan çatallanmış) test ettim ve bunun diğer masaüstü bilgisayarlarda çalışacağını garanti edemeyiz. Her şey başarısız olursa, tty'ye geçebilir ve pkill pluginloader.exe kullanarak pipelight'ı öldürebilirsiniz.

Ayrıca, sudo pipelight-plugin --update 'yi zaman zaman çalıştırmak isteyebilirsiniz, böylece Pipelight güncel bir flash player sürümünü yükleyecektir. Bu, Pipelight'ın son bağlantılardan eklentileri indirmeye çalışmasını engeller ve söz konusu eklentilerin güncel kalmasını sağlar. Ya da, komutu otomatik olarak çalıştırmak için bir cron dosyası oluşturabilirsiniz. Bunu yapmak için, sudo bash -c 'echo -e \#\!"/bin/bash\n\npipelight-plugin --update" > /etc/cron.weekly/pipelight-update; chmod a+x /etc/cron.weekly/pipelight-update' komutunu çalıştırın. Bu, Pipelight eklentiler listesinin haftalık olarak güncellenmesine izin verir, ancak actuall eklentileri NPAPI tabanlı tarayıcınızı başlatıncaya kadar güncellenmez.

2 Güncelleme : başka bir eklenti buldum. / a> Pepper (Google Chrome) Flash Player'ı diğer tarayıcılarda (örneğin firefox) kullanır. Freshplayerplugin olarak bilinen bu eklenti, Flash'ın yerel bir sürümüdür, dolayısıyla WINE gerektirmez. Lütfen dikkat: Bu yöntemi denemesem de, Pepper Flash'ın Amazon Prime'da bulunanlar gibi DRM Korumalı videolar ile ilgili sorunları olduğu bilinmektedir. DRM korumalı videoları Flash Player ile izlerseniz, Pipelight'ı kullanmak isteyebilirsiniz.

Yukarıdaki bağlantı, FreshPlayerPlugin'in git deposunu klonlayarak ve kodu kendiniz derleyerek nasıl kurulacağını size söyleyecektir. Veya, skype / pepper-flash ppa'dan pepflashplugin-installer paketini yükleyebilirsiniz: sudo add-apt-repository ppa:skunk/pepper-flash && sudo apt-get update && sudo apt-get install pepflashplugin-installer . Chromium'u nasıl etkinleştireceğinize ilişkin talimatlar için BU sayfasını aşağıya bakın. pepperflash kullanın. Uyarı: Bu, Google Chrome desteğine bağlıdır. Lütfen 3 numaralı güncellemeye bakın. .

3 Güncelleme : Google, tüm 32 bit GNU / Linux sistemleri için Chrome desteğini bıraktı. 64 bitlik bir sisteminiz varsa, Chrome'u her zamanki gibi kullanabilirsiniz. Aksi takdirde, Chrome'un eski bir sürümünü (iyi bir şans bulmayı da bilmeniz gerekir. Ayrıca, eski tarayıcıların güvenli olmadığı konusunda uyarılırsınız), 64 bitlik bir sisteme geçin veya WINE aracılığıyla Windows sürümünü çalıştırmayı denemeniz gerekir. 32 bit sistemler artık desteklenmediğinden, 32 bit sistemlerde 2 numaralı güncellemede açıklanan yöntemi kullanamazsınız.

4 Güncellemesi : Pipelight yazar tarafından durduruldu. Artık Flash Player'ı yükleyemezsiniz. Ancak Adobe, Flash Player'ın GNU / Linux sürümünü en son sürümlere çarpmaya karar verdi, bu yüzden pipelight veya freshplayerplugin gerekmez. Aslında, bu tür bir cevabı geçersiz kılar.

    
verilen cevap TSJNachos117 04.09.2013 22:44
1

Adobe'nin Flash NPAPI eklentisini Firefox, Iceweasel ve SeaMonkey gibi tarayıcılar için manuel olarak nasıl yüklerim?

  1. İşte 'ye erişin

  2. Mimarinizi seçin: Linux (32 bit) veya Linux (64 bit) .

    • Sisteminizin mimarisinden emin değilseniz, kabuk komutunu çalıştırın uname -i : 64 numaralı bir veriyi döndürürse, sisteminiz 64 bittir. Aksi halde, 32 bit.
  3. NPAPI tarball'ını indirin :% co_de değerine sahip olan seçeneği seçin ve ardından "Şimdi indir" düğmesini tıklayın.

    • Bir tarball, ".tar.xxx" uzantısına sahip bir dosyadır; burada "xxx", sıkıştırılmış dosyalar için örn. zip , gz , bz2 , 7z vb. Bu nedenle, (.tar.gz) - NPAPI , tarball.tar.gz , tarball.tar.zip tarball.tar.7z ise tüm tarball örnekleridir.
  4. Tarball'ı flash.tar.gz adıyla tarball.tar.bz2 klasörüne kaydedin. Tarayıcınız tarballu otomatik olarak indirir, böylece indirme başlamadan önce tarperi yeniden adlandırmanız imkansız hale gelirse, indirme işleminin bitmesini bekleyin, ardından tarponun koyulduğu klasöre gidin, tarpayı flash olarak yeniden adlandırın. tar.gz ve sonra /tmp 'ye taşı.

  5. Kabuk terminalini başlatın ve ardından şu komutu çalıştırın:

    cd /tmp ; tar -xvf flash.tar.gz
    
  6. Artık Adobe Flash eklentisini sistem klasörüne yerleştirmek için bu süper komutu çalıştırın:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libflashplayer.so /usr/lib/adobe-flashplugin/ ; sudo ln -sf /usr/lib/adobe-flashplugin/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so
    
  7. Ardından Adobe Flash klasörlerini ilgili konumlarına yerleştirmek için bu komutu çalıştırın:

    sudo cp -rf /tmp/usr /
    
  8. Artık tarayıcınızın /tmp adresinde bulunan flash eklentisini tespit edip edemediğini kontrol etmek için Mozilla / Gecko tarayıcınızı (Firefox, Iceweasel veya SeaMonkey) çalıştırabilir ve ardından about:plugins URL’ine erişebilirsiniz (ayrıca görünür olmalıdır. /usr/lib/adobe-flashplugin/libflashplayer.so ve ardından Eklentiler bölümüne erişerek). Shockwave Flash 24.0 r0 gibi bir şey görürseniz, İşte adresine gidin. Flash uygulamasının NPAPI flash yüklemenizi algılayıp algılamadığını kontrol edin ve şu anda hangi sürümü kullandığınızı söyleyin.

    • Tarayıcınızın eklenti konumunu about:addons yerine /usr/lib/flashplugin-installer/libflashplayer.so olarak göstermesi olasıdır. Eğer olursa, göz ardı edin: normaldir.
  9. Sadece uygulamalar menüsünün yepyeni " Adobe Flash Player " kontrol panelini gösterdiğinden emin olmak için bilgisayarınızı yeniden başlatın. Eğer değilse, bu kabuk komutunu çalıştırarak başlatabilirsiniz:

    /usr/bin/flash-player-properties
    

Not: 32 bit SeaMonkey'i 64 bit sistemde kullanıyorsanız, tarayıcı eklentiyi "görmez". Başka bir tarayıcı (ör. Firefox) kullanın.

Adobe'nin Flash NPAPI eklentisini Firefox, Iceweasel ve SeaMonkey gibi tarayıcılar için el ile nasıl kaldırılır

Bir kabuk terminali penceresi açın ve bu süper komutu çalıştırın:

sudo rm -r /usr/lib/adobe-flashplugin /usr/lib/flashplugin-installer/libflashplayer.so /usr/bin/flash-player-properties /usr/lib/kde4/kcm_adobe_flash_player.so /usr/lib64/kde4/kcm_adobe_flash_player.so /usr/share/applications/flash-player-properties.desktop /usr/share/kde4/services/kcm_adobe_flash_player.desktop /usr/share/pixmaps/flash-player-properties.png ; cd /usr/share/icons/hicolor ; sudo find . -name "flash-player-properties.png" -delete

Adobe'nin Flash PPAPI eklentisini Opera gibi bir WebKit tarayıcısına nasıl yüklerim?

  1. İşte 'ye erişin

  2. Mimarinizi seçin: Linux (32 bit) veya Linux (64 bit) .

    • Sisteminizin mimarisinden emin değilseniz, kabuk komutunu çalıştırın /usr/lib/adobe-flashplugin/libflashplayer.so : 64 numaralı bir veriyi döndürürse, sisteminiz 64 bittir. Aksi halde, 32 bit.
  3. PPAPI tarball'ını indirin : İçinde uname -i bulunan seçeneği seçin ve ardından "Şimdi indir" düğmesine basın.

    • Bir tarball, ".tar.xxx" uzantısına sahip bir dosyadır; burada "xxx", sıkıştırılmış dosyalar için örn. zip , gz , bz2 , 7z vb. Bu nedenle, (.tar.gz) - PPAPI , tarball.tar.gz , tarball.tar.zip tarball.tar.7z ise tüm tarball örnekleridir.
  4. Tarball'ı pepflash.tar.gz adıyla tarball.tar.bz2 klasörüne kaydedin. Tarayıcınız otomatik olarak tarlayı indirirse, indirme başlamadan önce tarpayı yeniden adlandırmanız imkansız hale gelirse, indirme işleminin bitmesini bekleyin, ardından tarponun koyulduğu klasöre gidin, tarpayı pepflash olarak yeniden adlandırın. tar.gz ve sonra /tmp 'ye taşı.

  5. Kabuk terminalini başlatın ve ardından şu komutu çalıştırın:

    cd /tmp ; tar -xvf pepflash.tar.gz
    
  6. Artık Adobe Flash eklentisini sistem klasörüne yerleştirmek için şu komutları çalıştırın:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libpepflashplayer.so manifest.json /usr/lib/adobe-flashplugin/
    
  7. Artık WebKit / Opera tarayıcınızı (yalnızca 45 sürümünden önceki Opera sürümleri) çalıştırabilir, ardından tarayıcınızın /tmp adresinde bulunan flash eklentisini algılayıp algılamadığını kontrol etmek için URL about:plugins 'ye erişebilirsiniz.Bilgi alanlarını genişletmek ve tespit edilen her eklenti hakkında ek bilgi göstermek için Ayrıntıları göster düğmesini (sağ üst) tıklamayı unutmayın. % Co_de% adresinde Adobe Flash Player gibi bir şey görürseniz İşte Sadece flash uygulamasının PPAPI flash yüklemenizi algıladığından emin olun ve şu anda hangi sürümü kullandığınızı söyleyin. Eğer tarayıcınız Opera versiyonu 45+ ise (versiyon 45 veya üstü), eklentinin düzgün bir şekilde yüklenip yüklenmediğini kontrol etmenin tek yolu İşte . Flash uygulaması PPAPI flash yüklemenizi algılarsa, Opera 45+ tarayıcınızda flaş çalışıyor.

Adobe'nin Flash PPAPI eklentisini Opera gibi bir WebKit tarayıcısı için el ile nasıl kaldırılır?

Bir kabuk terminali penceresi açın ve şu komutu çalıştırın:

sudo rm /usr/lib/adobe-flashplugin/libpepflashplayer.so

Google'ın Chrome ve Google Chromium tarayıcıları için Adobe'nin Flash PPAPI eklentisini manuel olarak yükleme

Google Chrome / Chromium kullanıyorsanız, zaten /usr/lib/adobe-flashplugin/libpepflashplayer.so adresinde bulunan kendi paketlenmiş PPAPI Flash eklentisi ile birlikte gelir. Ancak, videolar Facebook'ta Google Chrome / Chromium ile çalışmazsa, YouTube ve cetera (sesi duyarsınız, ancak herhangi bir video görmez), muhtemelen HTML5'i izlemeye çalışıyorsunuzdur. videolar, ancak GPU'nuz (Grafik İşleme Ünitesi), HTML5 için gerekli olan video hızlandırmalarından kaçınan yerleşik bir görüntüleme kara listesine sahiptir.

Bu sorunu düzeltmek için Google Chrome / Chromium'u başlatın, bu URL'ye erişin:

chrome://flags/#ignore-gpu-blacklist

... sonra yukarıdaki seçeneği etkinleştirin ve Google Chrome / Chromium'u yeniden başlatın.

Yukarıdaki çözüm sorunu çözmezse, Adobe'nin Flash PPAPI eklentisini Opera gibi bir WebKit tarayıcısı için el ile nasıl yüklerim, ardından Google'ın PepperFlash eklentisini yedekleyin ve Adobe'nin flash PPAPI eklentisine sembolik bir bağlantı oluşturun.

Ör. Chrome / Chromium tarayıcınız PepperFlash eklentisi 24.0.0.186 sürümünü kullanıyor ve Adobe'nin flash PPAPI eklenti sürümünü 24.0.0.186 (Google'ın PepperFlash sürümünün) sürümünü indirdiyseniz, bu, yüklemeden sonra uygulamanız gereken kabuk komutudur. Adobe'nin Flash PPAPI eklentisi :

mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ; sudo ln -sf /usr/lib/adobe-flashplugin/libpepflashplayer.so ~/.config/google-chrome/libpepflashplayer.so

Adobe'nin Google Chrome ve Google Chromium tarayıcıları için Flash PPAPI eklentisini el ile nasıl kaldırılır?

Bir kabuk terminali penceresi açın ve şu komutu çalıştırın:

sudo rm ~/.config/google-chrome/libpepflashplayer.so ; mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so

Kaynak: kendi yanıtım i-cant-install-flash-on-ubuntu-14-04-play-facebook-games-videos-or-youtube "> soru # 470281 .

    
verilen cevap Yuri Sucupira 03.02.2017 15:03

Etiketlerdeki diğer soruları oku